
from OpenGL.GL import *
from OpenGL.GLUT import *
    
from wxPython.wx import *
from ObjetGraph import *

from math import *

class Carrefour(ObjetGraph):
    def __init__(self, couche=0, couleur=(0.8, 0.0, 0.0)):
        ObjetGraph.__init__(self)
        self.couleur = couleur
        self.couche = couche
        
    def dessiner(self, position):
        
        glColor3f(self.couleur[0], self.couleur[1], self.couleur[2]);
        
        glPushMatrix()

        glTranslatef(position[0], position[1], self.couche/10);

        glBegin(GL_QUADS)
        glVertex3f(-1, 0, self.hauteur())
        glVertex3f(0, -1, self.hauteur())
        glVertex3f(1, 0, self.hauteur())
        glVertex3f(0, 1, self.hauteur())
        glEnd()
       
        
        glPopMatrix()
