
from OpenGL.GL import *
from OpenGL.GLUT import *
    
from wxPython.wx import *
from ObjetGraph import *

class Grille(ObjetGraph):
    def __init__(self, couche=0, couleur=(0.2, 0.2, 0.2), pas=10.0):
        ObjetGraph.__init__(self)
        self.couleur = couleur
        self.couche = couche
        self.pas = pas
        
    def setPas(self, pas):
        if pas >= 0.1 : self.pas = pas 
        
    def dessiner(self, point1, point2):
        
        glColor3f(self.couleur[0], self.couleur[1], self.couleur[2]);
                
        glLineWidth(1.0)
        
        glPushMatrix()
       
        point1 = (int((point1[0]-self.pas)/self.pas)*self.pas, int((point1[1]-self.pas)/self.pas)*self.pas) 
        point2 = (int((point2[0]+self.pas)/self.pas)*self.pas, int((point2[1]+self.pas)/self.pas)*self.pas) 

   
        x=point1[0]
        while x<=point2[0] :
            glBegin(GL_LINES)
            glVertex3f(x, point1[1],  self.hauteur())
            glVertex3f(x, point2[1],  self.hauteur())
            glEnd()
            x += self.pas
            
        y=point1[1]
        while y<=point2[1] :
            glBegin(GL_LINES)
            glVertex3f(point1[0], y,  self.hauteur())
            glVertex3f(point2[0], y,  self.hauteur())
            glEnd()
            y += self.pas
        glPopMatrix()
