
from OpenGL.GL import *
from OpenGL.GLUT import *
    
from wxPython.wx import *
from ObjetGraph import *


class Limite(ObjetGraph):
    def __init__(self, couche=0, couleur=(1.0, 1.0, 1.0)):
        ObjetGraph.__init__(self)
        self.couleur = couleur
        self.couche = couche
        
    def dessiner(self, point1, point2):
        
        glColor3f(self.couleur[0], self.couleur[1], self.couleur[2]);
        glLineWidth(2.0)
        
        
        glPushMatrix()
        
        glBegin(GL_LINE_LOOP)
        glVertex3f(point1[0], point1[1],  self.hauteur())
        glVertex3f(point1[0], point2[1],  self.hauteur())
        glVertex3f(point2[0], point2[1],  self.hauteur())
        glVertex3f(point2[0], point1[1],  self.hauteur())
        
        glEnd()
       
        
        glPopMatrix()
