#!/usr/bin/python
__version__ = "$Revision: 1.0 $"
__author__ = "EI5a, eivd, SimTaxi (Groupe Burdy)"
__date__ = "2002-11-23"

from wxPython.wx import *
from FenetreAffichage import *

ID_A_PROPOS = 101 #identificateur du menu " propos"
ID_SORTIR  = 102  #identificateur du menu "sortir"

#identificateur du menu pour afficher la fentre d'affichage
ID_VOIR_FENETRE_AFFICHAGE = 103

class FenetreControl(wxFrame):
    """
    Fenetre principale.
    
    Fenetre principale grant les autres fentres et contenant les
    contrles principaux.
    
    :version: $Revision 1.0 $
    :author: Gregory Burri
    """
    
    def __init__(self):
        """
        Initialisation de la fentre principale 
        
        @author Gregory Burri
        """
        #initialise la fentre
        wxFrame.__init__(self, None, -1,"SimTaxi - Fenetre de controle",
            wxDefaultPosition, wxSize(200, 150))
        
        #cre la fentre d'affichage
        self.laFenetreAffichage = FenetreAffichage()
        self.laFenetreAffichage.Show(True)

        #cre la barre d'tat
        self.CreateStatusBar()
        self.SetStatusText("barre d'tat")
        
        #le menu fichier qui va tre racrocher  la barre de menu qui
        #elle mme va tre raccorch  laframe
        menuFichier = wxMenu()
        menuFichier.Append(ID_A_PROPOS, "&About",
            "More information about this fucking progz")
        menuFichier.AppendSeparator()
        menuFichier.Append(ID_SORTIR, "E&xit",
            "Terminate this program")
            
        #le menu fichier de gestion des fentres
        menuFenetre = wxMenu()
        menuFenetre.Append(ID_VOIR_FENETRE_AFFICHAGE,
            "Afficher fenetre OpenGL", "Affiche la fentre Opengl")
        
        menuBar = wxMenuBar() #la barre de menu
        #accroche le menu fichier  la barre
        menuBar.Append(menuFichier, "&File");
        #on accroche la barre  la fentre
        menuBar.Append(menuFenetre, "&Window");
            
        self.SetMenuBar(menuBar) #accroche le menu  la frame
        
        ###EVENEMENTS###
        ##menu
        EVT_MENU(self, ID_A_PROPOS, self.evAPropos)
        EVT_MENU(self, ID_SORTIR, self.evMenuQuit)
        EVT_MENU(self, ID_VOIR_FENETRE_AFFICHAGE,
        self.evVoirFenetreAffichage)
        ##
        
        EVT_CLOSE(self, self.evSortir) #lorsque la fentre est ferm
        ###FIN EVENEMENTS###
    #>-----------------------------------------------------------------------
    def evAPropos(self, event):
        #test de boite de dialogue
        dlg = wxMessageDialog(self, "ce ceci n'est qu'un test", "about me",
            wxOK | wxICON_INFORMATION)
        dlg.ShowModal()
        dlg.Destroy()
    #>-----------------------------------------------------------------------
    def evVoirFenetreAffichage(self, event):
        self.laFenetreAffichage.Show(TRUE)
    #>-----------------------------------------------------------------------
    def evSortir(self, event):
        self.laFenetreAffichage.Destroy() #ferme la frame (fentre)
        self.Destroy() #ferme la frame (fentre)
    #>-----------------------------------------------------------------------
    def evMenuQuit(self, event):
        self.Close(true) #ferme la frame (fentre)
        

