
from wxPython.wx import *

try:
    from wxPython.glcanvas import *
    haveGLCanvas = TRUE
except ImportError:
    haveGLCanvas = FALSE

try:
    # The Python OpenGL package can be found at
    # http://PyOpenGL.sourceforge.net/
    from OpenGL.GL import *
    from OpenGL.GLU import *
    from OpenGL.GLUT import *
    haveOpenGL = TRUE
except ImportError:
    haveOpenGL = FALSE
    
#----------------------------------------------------------------------

class OpenGLCanvas(wxGLCanvas):
    def __init__(self, parent):
        wxGLCanvas.__init__(self, parent, -1)
        self.init = False
        EVT_ERASE_BACKGROUND(self, self.OnEraseBackground)

        EVT_PAINT(self, self.OnPaint)

    def OnEraseBackground(self, event):
        pass # Do nothing, to avoid flashing on MSW.


    def OnPaint(self, event):
        dc = wxPaintDC(self)
        self.SetCurrent()
        if not self.init:
            self.InitGL()
            self.init = True
        self.evRedessiner()

