#!/usr/bin/python
__version__ = "$Revision: 1.0 $"
__author__ = "EI5a, eivd, SimTaxi (Groupe Burdy)"
__date__ = "2002-11-23"

from wxPython.wx import *
from FenetreControl import *

class SimTaxiGUI(wxApp):
    """
    Interface graphique de SimTaxi.
    
    Cette classe est la racine de l'interface graphique, elle
    contient la fenetre de control.
    
    :version: $Revision 1.0 $
    :author: Gregory Burri    
    """

    def OnInit(self):
        """
        Initialisation de l'environement graphique
        
        @author Gregory Burri
        """
        
        #la fentre principal
        laFenetreControl = FenetreControl()
        laFenetreControl.Show(True)
        self.SetTopWindow(laFenetreControl)
        return true
        
#test de la classe
if __name__ == '__main__':
    gui = SimTaxiGUI(0) #cre l'interface
    gui.MainLoop()
