
from OpenGL.GL import *
from OpenGL.GLUT import *
    
from wxPython.wx import *
from ObjetGraph import *

from math import *

class Taxi(ObjetGraph):
    def __init__(self, couche=0, couleur=(1.0, 1.0, 0.0)):
        ObjetGraph.__init__(self)
        self.couleur = couleur
        self.couche = couche
        
    def dessiner(self, position, vecteurDirection):
        
        glColor3f(self.couleur[0], self.couleur[1], self.couleur[2])
        
        glPushMatrix()
        
        glTranslatef(position[0], position[1], self.couche/10)

        alpha = atan2(vecteurDirection[1], vecteurDirection[0])
        glRotatef(alpha*180/pi, 0, 0, 1)

       
        glBegin(GL_TRIANGLES)
        glVertex3f(2.0, 0.0, self.hauteur())
        glVertex3f(-2.0, 2.0, self.hauteur())
        glVertex3f(-2.0, -2.0, self.hauteur())
        glEnd()
       
        
        glPopMatrix()

        
        
